Subject: Re: [PATCH] Replace misleading message during interactive rebasing

From: Johannes Sixt <[email-masked]>
Date: Wed, 28 Nov 2007 13:53:59 +0100

Johannes Schindelin schrieb:
> You could still provide the "me" and unique_abbrev parameters, so that the 
> first %s in _GIT_CHERRY_PICK_HELP would be replaced by the operation, and 
> the second by the sha1.  Hmm?

Gaah! First rule to safe programming: Don't use user input as format 
strings. getenv(_GIT_CHERRY_PICK_HELP) *is* user input. In this case, the 
caller knows exactly what the put into the help string, so it should do so.

-- Hannes